Summary: The configuration files for setting up a caching name server.
Name: caching-nameserver
Version: 7.0
Release: 6
Copyright: Public Domain
Group: System Environment/Daemons
Source0: ftp://ftp.internic.net/domain/named.root
Source1: named.boot
Source2: named.local
Source3: named.conf
Source4: Copyright.caching-nameserver
Source5: localhost.zone
Requires: bind
BuildRoot: %{_tmppath}/caching-nameserver-root
BuildArchitectures: noarch

%description
The caching-nameserver package includes the configuration files which
will make BIND, the DNS name server, act as a simple caching nameserver.
Many users on dialup connections use this package along with BIND for
such a purpose.

If you would like to set up a caching name server, you'll need to install
the caching-nameserver package; you'll also need to install bind.

%prep
%setup -c -T

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc,var/named}

install -m 644 %{SOURCE0} $RPM_BUILD_ROOT/var/named/named.ca
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/etc/named.boot
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/var/named/named.local
install -m 644 %{SOURCE5} $RPM_BUILD_ROOT/var/named/localhost.zone
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/named.conf
install -m 644 %{SOURCE4} ./Copyright

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep ^nameserver /etc/resolv.conf >/dev/null 2>&1 ; then
    echo "nameserver 127.0.0.1" >> /etc/resolv.conf
fi 

%files
%defattr(-,root,root)
%config /etc/named.boot
%config /etc/named.conf
%defattr(-,named,named)
%config /var/named/named.ca
%config /var/named/named.local
%config /var/named/localhost.zone
%defattr(-,root,root)
%doc Copyright

%changelog
* Tue Aug  8 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- docu owned by root now

* Mon Aug  7 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- add default TTL to shut up warning message
- add "localhost" zone

* Sun Aug  6 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- changing /var/named/* to root was silly - reverted

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul  3 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- change ownerships back to root:root. normally nobody should
  need to change these files and they never have to be updated
  by the named server himself.

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Apr 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- change ownerships to named.named

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- if there are no nameserver lines in /etc/resolv.conf, add one
- add a Copyright file

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuilt for the 6.0

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- install bind-8.1.2 named.conf

* Mon May 04 1998 Donnie Barnes <djb@redhat.com>
- upgraded from 1.1 to 5.1 to make caching-nameserver version the same
  as the version of Red Hat that it runs on.  
- updated named.root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- updated named.root to latest
- updated copyright

* Tue Sep 23 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
